# Introduction

The `InterpolationKernels` package provides a library of interpolation kernels
for [Julia](https://julialang.org/).  As suggested by their name,
interpolations kernels are mostly designed for interpolation, they can be
thought as smart functions that know their derivative and that implement
optimized computation of interpolation weights.

The source code is on [GitHub](https://github.com/emmt/InterpolationKernels.jl).


## Table of contents

```@contents
Pages = ["install.md", "basics.md", "kernels.md",
         "interpolation.md", "library.md"]
```

## Index

```@index
```
